Topics Map > Safety and Security > Malware Protection

Endpoint Security, CrowdStrike, Supported Operating Systems

This is the list of operating systems currently supported by CrowdStrike.

Table of Contents

Supported Sensor Versions
Windows
macOS
Linux
Additional Information

Supported Sensor Versions

Supported Sensor Versions
Platform Sensor Versions
Windows 6.30.14406+
macOS 6.31.14404+
Linux 6.30.12704+

Windows

Server

Supported Windows Server Versions
OS Version Supported Sensor Versions End of Support Date
Server 2022/Server 2022 Core All supported sensor versions April 13, 2032
Server 2019/Server 2019 Core All supported sensor versions July 8, 2029
Server 2016/ Server 2016 Core All supported sensor versions July 11, 2027
Server 2012 R2 All supported sensor versions April 9, 2024
Storage Server 2012 R2 All supported sensor versions April 9, 2024
Server 2012 All supported sensor versions April 9, 2024
Server 2008 R2 SP1 Unsupported January 14, 2021

Only 64-bit OSes are supported for Windows Server.

Desktop

Supported Windows Desktop Versions
OS Version 32-bit Support Supported Sensor Versions End of Support Date
Windows 11 False x86_64: 6.31.14505+
arm64: 6.38.15205+
April 7, 2025
Windows 10 v21H2 True 6.33.14704+ July 11, 2027
Windows 10 v21H1 True All supported sensor versions June 11, 2023
Windows 10 v20H2 True All supported sensor versions November 5, 2023
Windows 10 v2004 True 6.33.14704 and below June 12, 2022
Windows 10 v1909 True All supported sensor versions November 6, 2022
Windows 10 v1903 False Unsupported May 30, 2021
Windows 10 v1809* True All supported sensor versions July 8, 2029
Windows 10 v1803 False Unsupported August 10, 2021
Windows 10 v1709 False Unsupported January 12, 2021
Windows 10 v1703 False Unsupported -
Windows 10 v1607* False All supported sensor versions April 21, 2027
Windows 10 v1511 False Unsupported -
Windows 10 v1507* False All supported sensor versions April 12, 2026
Windows 8.1 False All supported sensor versions July 9, 2023
Windows 8 False Unsupported -
Windows 7 SP1 True Unsupported January 14, 2021

Unless otherwise indicated, only x86_64 OSes are supported for Windows.
Container-based Windows OS solutions, such as Docker, are not currently supported.

* To maintain updates from Microsoft, these versions of Windows 10 are intended to run LTSC editions rather than GAC editions.

macOS

Supported macOS Versions
OS Version Supported Sensor Versions End of Support Date
Monterey (12.x) All supported sensor versions December 31, 2024
Big Sur (11.x) All supported sensor versions December 31, 2023
Catalina (10.15.x) All supported sensor versions December 31, 2022
Mojave (10.14.x) Unsupported January 3, 2022
High Sierra (10.13.x) Unsupported December 28, 2020
Sierra (10.12.x) Unsupported December 30, 2019
El Capitan (10.11.x) Unsupported February 24, 2019
Yosemite (10.10.x) Unsupported November 20, 2017

Container-based macOS solutions, such as Docker, are not currently supported.

Linux

Supported Linux Distributions and Versions
Distribution Version Docker Support
Supported Sensor Versions* End of Support Date
Alma Linux 8.4 TBD All supported sensor versions TBD
Amazon Linux 2 True x86_64: All supported sensor versions
arm64: All supported sensor versions
TBD
AMI 2018.03 True All supported sensor versions TBD
AMI 2017.09 True All supported sensor versions TBD
AMI 2017.03 False Unsupported May 8, 2021
CentOS 8.5 False 6.33.13003+ TBD
8.4 False All supported sensor versions TBD
8.0-8.3 False All supported sensor versions TBD
7.4-7.9 True All supported sensor versions TBD
7.1-7.3 False Unsupported May 8, 2021
6.7-6.10 False All supported sensor versions TBD
6.5-6.6 False Unsupported May 8, 2021
Debian 11 False All supported sensor versions TBD
10 False All supported sensor versions TBD
9.1-9.4 True All supported sensor versions TBD
Oracle Linux 8, UEK 6 False All supported sensor versions TBD
7, UEK 6 False All supported sensor versions TBD
7, UEK 5 False All supported sensor versions TBD
7, UEK 4 False All supported sensor versions TBD
7, UEK 3 False All supported sensor versions TBD
6, UEK 4 False All supported sensor versions TBD
6, UEK 3 False All supported sensor versions TBD
RHCK False All supported sensor versions TBD
Red Hat Enterprise Linux (RHEL) 8.5 False 6.33.13003+ TBD
8.4 False All supported sensor versions TBD
8.0-8.3 False All supported sensor versions TBD
7.4-7.9 True All supported sensor versions TBD
7.1-7.3 False Unsupported May 8, 2021
6.7-6.10 False All supported sensor versions TBD
6.5-6.6 False Unsupported May 8, 2021
Rocky Linux 8.4 TBD All supported sensor versions TBD
SUSE Linux Enterprise Server (SLES) 15.0-15.3 True All supported sensor versions TBD
12.3-12.5 True All supported sensor versions TBD
12.2 False All supported sensor versions TBD
12.1 False Unsupported May 8, 2021
11.4
(requires OpenSSL 1.0.1e or greater)
False All supported sensor versions TBD
11.3 False Unsupported -
Ubuntu 20.04 LTS True All supported sensor versions TBD
18-AWS False All supported sensor versions TBD
18.04 LTS True All supported sensor versions TBD
16-AWS False All supported sensor versions TBD
16.04.5 LTS False All supported sensor versions TBD
16.04 LTS True All supported sensor versions TBD
14.04 LTS False Unsupported May 8, 2021

Unless otherwise indicated, only x86_64 OSes are supported for Linux.
All other Linux distributions and versions are unsupported.

* Some kernel versions may require a newer sensor version than indicated. See the official documentation (login required) for the complete list of supported kernels.

Additional Information

Any operating system distribution or version not listed here is likely unsupported. For the most up-to-date list, please see the official documentation for each operating system (login required):

Example Host Searches

Hosts running Windows 10 v1903 (build 18362) or older:
https://falcon.crowdstrike.com/hosts/hosts?filter=os_version%3A%27Windows%2010%27%2Bos_build%3A%3C%3D%2718362%27

Hosts running macOS Mojave (10.14):
https://falcon.crowdstrike.com/hosts/hosts?filter=os_version%3A%27Mojave%20(10.14)%27

Hosts running any version of Linux:
https://falcon.crowdstrike.com/hosts/hosts?filter=platform_name%3A%27Linux%27

Hosts with sensors below version 6.26:
https://falcon.crowdstrike.com/hosts/hosts?filter=agent_version%3A%3C%276.26%27

Warning
While the CrowdStrike Falcon sensor may install on operating system versions other than these listed, the results are unpredictable. A sensor installed on an unsupported OS may cease to function, enter Reduced Functionality Mode (see below), uninstall itself, incorrectly flag system processes as malicious, or otherwise malfunction. Please take care when installing the sensor or updating your operating system.

Related articles:




Keywords:falcon, sensor, agent, version, versions, os, install, installing, installation, EPS, windows, server, desktop, workstation, mac, macos, yosemite, capitan, sierra, mojave, catalina, big, sur, monterey, linux, alma, amazon, centos, debian, oracle, redhat, rhel, rocky, suse, sles, ubuntu, lts, x86_64, x86, x64, arm, arm64, prevention, sensor, update, policy, policies, TechS-EPS-CS   Doc ID:114002
Owner:Security S.Group:University of Illinois Technology Services
Created:2021-09-28 17:37 CDTUpdated:2022-04-08 13:21 CDT
Sites:University of Illinois Technology Services
Feedback:  0   0